OpenIsle Docs
API 概览
Get configuration GET Update configuration POST
Api
Admin
Config

# Update configuration

Update application configuration settings

POST
/`api`/`admin`/`config`

## Authorization

AuthorizationBearer <token>

In: `header`

## Request Body

publishMode?string
Value in`"DIRECT" | "REVIEW"`
passwordStrength?string
Value in`"LOW" | "MEDIUM" | "HIGH"`
aiFormatLimit?integer
Format `int32`
registerMode?string
Value in`"DIRECT" | "WHITELIST"`

## Response Body

###

    curl -X POST "https://www.open-isle.com/api/admin/config" \  -H "Content-Type: application/json" \  -d '{}'

    {
      "publishMode": "DIRECT",
      "passwordStrength": "LOW",
      "aiFormatLimit": 0,
      "registerMode": "DIRECT"
    }

Get configuration GET

Previous Page

Admin greeting GET

Next Page

    curl -X POST "https://www.open-isle.com/api/admin/config" \
      -H "Content-Type: application/json" \
      -d '{}'